Subject: Re: bug#25304: Libtool’s ltmain.sh still contains a /gnu/store shebang

From: Miguel Ángel Arruga Vivas <[email-masked]>
Date: Mon, 16 Nov 2020 17:17:05 +0100

Hi!

Ludovic Courtès <[email-masked]> writes:
> Hi!
>
> Miguel Ángel Arruga Vivas <[email-masked]> skribis:
>
>> I was looking through the lists because I have a patch that does exactly
>> what you describe here.  I guess this goes to core updates, so this
>> version is on top of it.  WDYT?
>
> Yes, looks like a change for ‘core-updates’.
>
>> From 145273418d3131bcf3b73d416d19f641645cf3f8 Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?Miguel=20=C3=81ngel=20Arruga=20Vivas?=
>>  <[email-masked]>
>> Date: Fri, 13 Nov 2020 15:24:46 +0100
>> Subject: [PATCH] gnu: libtool: Restore shebangs on all libtoolize files.
>
> You can add “Fixes <https://bugs.gnu.org/25304>.”
>
>> * gnu/packages/autotools.scm (libtool)[restore-build-aux-shebang]: New
>> phase after install.
>> [restore-ltmain-shebang]: Remove phase, it is now performed by the phase
>> restore-build-aux-shebang.
>
> LGTM, thanks for digging through old bugs!
>
> Ludo’.

Pushed as 8d263ff254292c9e13a9848f90b52263da52d570 to core-updates with
that line added.  Thanks for the quick review.  :-)

Happy hacking!
Miguel